Create a course evaluation term
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_terms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "course_evaluation_term",
"attributes": {
"name": "Fall 2026",
"starts_on": "2023-12-25",
"ends_on": "2023-12-25",
"code": "2026FA"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_terms"
payload = { "data": {
"type": "course_evaluation_term",
"attributes": {
"name": "Fall 2026",
"starts_on": "2023-12-25",
"ends_on": "2023-12-25",
"code": "2026FA"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'course_evaluation_term',
attributes: {
name: 'Fall 2026',
starts_on: '2023-12-25',
ends_on: '2023-12-25',
code: '2026FA'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_term",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Fall 2026",
"code": "2026FA",
"starts_on": "2023-12-25",
"ends_on": "2023-12-25"
},
"relationships": {
"sections": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_section",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"evaluation_periods": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_period",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Course Evaluation Terms
Create a course evaluation term
POST
/
api
/
v1
/
course_evaluation_terms
Create a course evaluation term
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_terms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "course_evaluation_term",
"attributes": {
"name": "Fall 2026",
"starts_on": "2023-12-25",
"ends_on": "2023-12-25",
"code": "2026FA"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_terms"
payload = { "data": {
"type": "course_evaluation_term",
"attributes": {
"name": "Fall 2026",
"starts_on": "2023-12-25",
"ends_on": "2023-12-25",
"code": "2026FA"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'course_evaluation_term',
attributes: {
name: 'Fall 2026',
starts_on: '2023-12-25',
ends_on: '2023-12-25',
code: '2026FA'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_term",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Fall 2026",
"code": "2026FA",
"starts_on": "2023-12-25",
"ends_on": "2023-12-25"
},
"relationships": {
"sections": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_section",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"evaluation_periods": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_period",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
course evaluation term created
Show child attributes
Show child attributes
⌘I